Permalink
Fetching contributors…
Cannot retrieve contributors at this time
53 lines (38 sloc) 990 Bytes

Dependencies

The argh library is supported (and tested unless otherwise specified) on the following versions of Python:

  • 2.7 (including PyPy 1.8)
  • 3.1 (argparse library is required; not tested)
  • 3.4
  • 3.5
.. versionchanged:: 0.15
   Added support for Python 3.x, dropped support for Python ≤ 2.5.

.. versionchanged:: 0.18
   Improved support for Python 3.2, added support for Python 3.3.

.. versionchanged:: 0.25
   Added support for Python 3.4, dropped support for Python 3.3.
   Argh may perfectly work under 3.3, I'm just not testing it.

.. versionchanged:: 0.27
   Added support for Python 3.5, dropped support for Python 2.6 and 3.2.

Why this one?

See :doc:`similar`.

Details

.. toctree::
   :maxdepth: 2

   tutorial
   reference
   cookbook
   similar
   projects
   subparsers
   contributors
   changes

Indices and tables